function PZRespawner_OnGameTimeLoaded()
	Events.LevelPerk.Add(PZRespawner_LevelPerk)
	if isClient() then
		Events.OnGameTimeLoaded.Remove(PZRespawner_OnGameTimeLoaded)
	end
	local player = getPlayer()
	PZRespawner(player, "GameTimeLoaded")
	if not isServer() then
		sendClientCommand(player, "PZRespawner", "GameTimeLoaded", nil)
	end
end

function PZRespawner_AddXP(player, type, amount)
	PZRespawner(player, "AddXP")
	if isClient() then
		sendClientCommand(player, "PZRespawner", "AddXP", nil)
	end
end

function PZRespawner_LevelPerk(player, perk, level, addBuffer)
	PZRespawner(player, "LevelPerk")
	if isClient() then
		sendClientCommand(player, "PZRespawner", "LevelPerk", nil)
	end
end

function PZRespawner_OnKeyPressed(key)
	local player = getPlayer()
	if key == Keyboard.KEY_PAUSE then
		PZRespawner(player, "SpawnPoint")
		if isClient() then
			sendClientCommand(player, "PZRespawner", "SpawnPoint", nil)
		end
	end
end

function PZRespawner_OnCreatePlayer(playerID, player)
	Events.OnCreatePlayer.Remove(PZRespawner_OnCreatePlayer)
	Events.LevelPerk.Add(PZRespawner_LevelPerk)
	PZRespawner(player, "OnCreatePlayer")
	sendClientCommand(player, "PZRespawner", "OnCreatePlayer", nil)
end

function PZRespawner_OnPlayerDeath(player)
	if isClient() then
		Events.LevelPerk.Remove(PZRespawner_LevelPerk)
		Events.OnCreatePlayer.Add(PZRespawner_OnCreatePlayer)
	end
end

Events.OnGameTimeLoaded.Add(PZRespawner_OnGameTimeLoaded)
Events.AddXP.Add(PZRespawner_AddXP)
Events.OnKeyPressed.Add(PZRespawner_OnKeyPressed)
Events.OnPlayerDeath.Add(PZRespawner_OnPlayerDeath)
