function PZRespawner_Read(UserName)
	local infile = getFileReader(UserName..".info", false)
	if not infile then
		return nil
	else
		local Data = {
			Hours = tonumber(infile:readLine()),
			X = tonumber(infile:readLine()),
			Y = tonumber(infile:readLine()),
			Z = tonumber(infile:readLine())
		}
		infile:close()
		return Data
	end
end

function PZRespawner_Load(UserName, player, Data)
	print("Loading "..UserName)
	
	-- Remove All Objects From New Character
	PZR_RemoveAllItems(player)
	-- Load Saved Character
	player:load(UserName..".save")
	-- Teleport To Saved Spawn Point
	player:setX(Data["X"])
	player:setY(Data["Y"])
	player:setZ(Data["Z"])
	-- Stop All Timed Events?
	player:StopAllActionQueue()
	-- Increase Die Count (Does this really work or do anything?)
	local PDieCount = player:getDieCount()
	player:setDieCount(PDieCount+1)
	-- Remove All Items (You Spawn In Undies Only!)
	PZR_RemoveAllItems(player)
	-- Remove Any Damage Effects
	PZR_ResetBodyDamage(player)
	-- Remove Any Other Moodles
	PZR_ResetStats(player)

	print(UserName.." Loaded")
end
