function PZRespawner(player, command)
	if not player or not command then
		return
	end
	print("*** PZRespawner command = "..command)

	if not player:isDead() then
		local PlayerHours = player:getHoursSurvived()
		local UserName = getWorld():getWorld().."."..player:getUsername()
		local SavedPlayerData = PZRespawner_Read(UserName)
		if not SavedPlayerData then
			local OldPlayerData = PZRespawner_ReadOld(player)
			if not OldPlayerData then
				if PlayerHours == 0 then
					player:setHoursSurvived(0.01666666666666666666667) -- One Minute
					player:update()
				end
				print("New Player??")
				PZRespawner_Save(UserName, PlayerHours, player:getX(), player:getY(), player:getZ(), player)
			else
				PZRespawner_Old(player, command, OldPlayerData)
			end
		else
			if PlayerHours == 0 then
				PZRespawner_Load(UserName, player, SavedPlayerData)
			else
				if command == "SpawnPoint" then
					PZRespawner_Save(UserName, PlayerHours, player:getX(), player:getY(), player:getZ(), player)
				else
					PZRespawner_Save(UserName, PlayerHours, SavedPlayerData["X"], SavedPlayerData["Y"], SavedPlayerData["Z"], player)
				end
			end
		end
	end
end
